ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/vision-system-status
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/vision-system-status' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "isVisionSystemAvailable": true }
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/cameras
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/cameras' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "id": 0, "name": "string", "displayName": "string", "active": true } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/camera/active
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/camera/active' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "id": 0, "name": "string", "displayName": "string", "active": true }